Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container
Class GenericContainer.Hook

    java.lang.Object
      org.apache.cactus.integration.ant.container.GenericContainer.Hook

All Implemented Interfaces:
  org.apache.tools.ant.TaskContainer

Enclosing class:
  GenericContainer

public final class GenericContainer.Hook
extends java.lang.Object
implements org.apache.tools.ant.TaskContainer

Class that represents the nested 'startup' and 'shutdown' elements. It supports either an Ant target to delegate to, or a list of nested tasks that are to be executed in order to perform the operation.

Constructor Summary
`GenericContainer.Hook()`

Method Summary
`void` | `addTask(org.apache.tools.ant.Task theTask)`
`void` | `execute()` Executes the hook by either calling the specified target, or invoking all nested tasks.
`void` | `setTarget(java.lang.String theTarget)` Sets the target to call.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericContainer.Hook

    public GenericContainer.Hook()

Method Detail

### setTarget

    public void setTarget(java.lang.String theTarget)

  Sets the target to call.

  Parameters:
    `theTarget` - The name of the target

### addTask

    public void addTask(org.apache.tools.ant.Task theTask)
                 throws org.apache.tools.ant.BuildException

  Specified by:
    `addTask` in interface `org.apache.tools.ant.TaskContainer`
  Throws:
    `org.apache.tools.ant.BuildException`
  See Also:
    `TaskContainer.addTask(org.apache.tools.ant.Task)`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Executes the hook by either calling the specified target, or invoking all nested tasks.

  Throws:
    `org.apache.tools.ant.BuildException` - If thrown by the called target or one of the nested tasks

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.